Require Import connectives.
Require Import leibniz.
Require Import nat.
Parameter exp : nat.nat -> nat.nat -> nat.nat.
Parameter exp_body : nat.nat -> nat.nat -> nat.nat.
Axiom axiom_exp_body_S : forall (n:nat.nat), forall (m:nat.nat), connectives.equal (nat.nat) (exp_body n (nat.S m)) (nat.times (exp n m) n).
Definition eq_exp_body_S : forall (n:nat.nat), forall (m:nat.nat), leibniz.leibniz (nat.nat) (exp_body n (nat.S m)) (nat.times (exp n m) n) := fun (n:nat.nat) => fun (m:nat.nat) => ((((connectives.equal_leibniz) (nat.nat)) (exp_body n (nat.S m))) (nat.times (exp n m) n)) (((axiom_exp_body_S) (n)) (m)).
